freebsd-utils (10.1~svn273304+ds1-1) unstable; urgency=medium

  [ Steven Chamberlain ]
  * Upload to unstable
  * Support +ds source_version suffix in svn_revision

  [ Hideki Yamane ]
  * Add jls(8) and jexec(8) tools for jails administration
    (Closes: #806562)

 -- Steven Chamberlain <steven@pyro.eu.org>  Tue, 08 Dec 2015 18:52:10 +0000

freebsd-utils (10.1~svn273304-2) experimental; urgency=medium

  * fstype_alias.diff:  accept some Linux-style names for `mount -t`
    filesystem types:
    - ext2 for ext2fs
    - ext3 for ext3fs
    - ext4 for ext4fs
    - cifs for smbfs

 -- Steven Chamberlain <steven@pyro.eu.org>  Sun, 26 Oct 2014 18:50:21 +0000

freebsd-utils (10.1~svn273304-1) unstable; urgency=medium

  [ Petr Salinger ]
  * Build-Depend on freebsd-mk >= 10.0-5 for MK_HYPERV

  [ Steven Chamberlain ]
  * New upstream snapshot of 10.1-RC3~
  * Refresh patches: (with unexpanded revision tags;  a/ b/ paths;  no
    Index field;  no 'C function' context, not applicable here)
    - ppp_macros.diff
    - 035_nfs.diff
    - makefiles.diff
  * Delete patch mk_tests.diff: freebsd-mk now provides MK_TESTS
  * No longer try to set MK_TESTS in debian/rules;  use WITHOUT_TESTS
    instead
  * Set kern.ipc.shmall=32768 in /etc/sysctl.conf, as the kernel
    default is too low for some Qt applications (Closes: #763706)
  * netstat: work around a kfreebsd 9->10 ABI break;  allows tcp sockets
    to be shown again when running on kfreebsd-9 (Closes: 761418)

 -- Steven Chamberlain <steven@pyro.eu.org>  Wed, 08 Oct 2014 22:18:48 +0100

freebsd-utils (10.1~svn272167-1) unstable; urgency=low

  [ Steven Chamberlain ]
  * New upstream snapshot of 10.1-BETA3
  * Drop Breaks: on old kernel versions, which can't have the
    intended effect anyway until reboot (Closes: #756464)
  * Add myself to uploaders
  * In get-orig-source, svn export with --ignore-keywords so that                                                                                            
    revision tags do not fuzzy the patches 

  [ Christoph Egger ]
  * Upload to unstable

 -- Steven Chamberlain <steven@pyro.eu.org>  Fri, 17 Oct 2014 16:21:26 +0000

freebsd-utils (10.1~svn271687+really10.1~svn271687-1) experimental; urgency=medium

  * Add a version number for the experimental package that is actually
    larger than unstable's

 -- Christoph Egger <christoph@debian.org>  Tue, 16 Sep 2014 23:02:09 -0700

freebsd-utils (10.1~svn271687-2) experimental; urgency=medium

  * Actually upload to experimental

 -- Christoph Egger <christoph@debian.org>  Tue, 16 Sep 2014 21:31:53 -0700

freebsd-utils (10.1~svn271687-1) unstable; urgency=medium

  [ Steven Chamberlain ]
  * New upstream snapshot of 10.1-PRERELEASE
  * Build-Depend on kfreebsd-kernel-headers >= 10.1~2
  * Build-Depend on kfreebsd-headers-10.1-0
    - update hardcoded path in 026_kdump.diff
  * Build-Depend on libcam-dev >= 10.1
  * Refresh patches:
    - syscons.diff
    - cli_compat.diff
    - 007_mount.diff
    - makefiles.diff
  * Add local definition to sys/mount.h of MNT_AUTOMOUNTED, not in glibc
  * Workarounds:
    - mk_tests.diff:  disable MK_TESTS until kfreebsd-buildutils updated
      to version >> 10.1~
    - netstat_maddrs.diff:  don't print multicast addresses;  requires
      getifmaddrs and freeifaddrs functions of FreeBSD libc
    - netstat_oqdrops.diff:  don't print dropped packet counters;
      requires a new struct if_data member not in GNU libc

 -- Christoph Egger <christoph@debian.org>  Tue, 16 Sep 2014 20:49:41 -0700

freebsd-utils (10.0+ds1-1) unstable; urgency=low

  [ Mats Erik Andersson ]
  * Fetch pf.conf(5) and pf.os(5) from new location.

  [ Robert Millan ]
  * Remove ifmediareq kludges. B-D on libc0.1-dev >= 2.18-2 instead.

 -- Robert Millan <rmh@debian.org>  Sat, 22 Mar 2014 23:42:34 +0100

freebsd-utils (10.0-3) experimental; urgency=low

  * Add 'sysctl -p' support. Replace /sbin/sysctl wrapper script with
    actual binary.
  * Add /usr/{bin,sbin} to devd PATH (needed for /usr/bin/logger).
  * Disable parallel builds until switch to bmake (for some reason
    DPSRCS in kdump is ignored by fmake).

 -- Robert Millan <rmh@debian.org>  Mon, 17 Feb 2014 16:47:54 +0100

freebsd-utils (10.0-2) experimental; urgency=low

  * Handle USB keyboard attach/detach events.
  * Remove Build-Conflicts on libc0.1-dev-i386 (not needed anymore since
    kdump is now using headers from kfreebsd-headers-10.0-1).
  * Remove kludge that allowed auto-detected macros to be missing when
    building kdump. (Closes: #736202)
  * Consistently use the new SIOCAIFADDR ABI in ifconfig. (Closes: #736238)

 -- Robert Millan <rmh@debian.org>  Mon, 03 Feb 2014 23:25:03 +0100

freebsd-utils (10.0-1) experimental; urgency=low

  * New upstream release.
    - Refresh all patches.
    - Remove atacontrol(8).

  [ Robert Millan ]
  * Add /etc/sysctl.conf. It used to be provided by procps, but now it
    isn't. Its content is kernel-specific anyway, so let's just use the
    FreeBSD version.
  * Correctly setup BSD version of MAKEFLAGS to support parallel builds.

 -- Robert Millan <rmh@debian.org>  Tue, 21 Jan 2014 00:24:13 +0100

freebsd-utils (9.2+ds1-1) unstable; urgency=low

  * Drop freebsd-geom transitional package.
  * Fetch source code securely (https) in get-orig-source.
  * Split udeb build from normal build, using a separate objdir by means
    of MAKEOBJDIRPREFIX. This allows us to:
    - Optimize udeb build for size (-Os).
    - Build udeb with -DWITHOUT_IPX_SUPPORT (for ifconfig).
    - Restrict -DWITHOUT_JAIL only to udeb build. This effectively brings
      back jail support to ifconfig.
    - As a side requirement, source code is moved to src/ directory to
      prevent dh_install from mistakenly installing source directories as
      if they were executable files.
  * Leave -lbsdxml untouched (latest freebsd-glue supports it).
  * netstat_numeric_default.diff: Honor -n flag when listing the default
    route (for compatibility with Linux route(8)).
  * route_list.diff: When route is invoked with no arguments, fallback
    to "netstat -r" to list existing routes (for compatibility with
    Linux route(8)).

 -- Robert Millan <rmh@debian.org>  Wed, 25 Dec 2013 18:46:00 +0100

freebsd-utils (9.2-2) unstable; urgency=low

  [ Robert Millan ]
  * Simplify 031_savecore.diff by using zopen() from freebsd-glue.
  * Enable ifmac.c, iffib.c and ifpfsync.c in ifconfig.
    (Closes: #728374)
  * Remove cons25 transition kludge (was only needed for squeeze->wheezy
    upgrades).
  * Fix permissions for /dev/dri/card* devices.
  * Remove a few gratuitous library dependencies.
  * Misc patchset cleanup.
  * Remove kludge in jail(8). Use libutil-freebsd-dev to satisfy
    login_cap.h dependency instead.
  * Require freebsd-glue >= 0.2.4 to ensure trimdomain from libutil is
    used (rather than the static version in freebsd-glue << 0.2.4).
  * Remove kludge in ppp(8) to use liblockdev. Use libutil directly like
    upstream does.  (Closes: 728019)

  [ Guillem Jover ]
  * Remove myself from Uploaders.

 -- Robert Millan <rmh@debian.org>  Sun, 01 Dec 2013 13:34:11 +0100

freebsd-utils (9.2-1) unstable; urgency=low

  * New upstream release.
    - Refresh all patches.
    - Bump B-D on freebsd-glue and libcam-dev.

  [ Robert Millan ]
  * Misc adjustments for freebsd-glue 0.1.0.
  * Reduce the patchset even further by using trimdomain, link_addr and
    link_ntoa from freebsd-glue.
  * Improve output formatting in nfsiod init script. Thanks Mats Erik
    Andersson. (Closes: #721446)

 -- Robert Millan <rmh@debian.org>  Thu, 03 Oct 2013 01:21:38 +0200

freebsd-utils (9.1-4) unstable; urgency=high

  * Bump urgency due to #718490.

 -- Robert Millan <rmh@debian.org>  Fri, 02 Aug 2013 22:49:01 +0200

freebsd-utils (9.1-3) unstable; urgency=low

  [ Guillem Jover ]
  * Switch to canonical Vcs URLs.

  [ Petr Salinger ]
  * Add #include <netinet/ether.h> into lib/linkaddr.h.

  [ Robert Millan ]
  * Re-enable -Werror=implicit-function-declaration.
    - Require kfreebsd-kernel-headers 9.1-3 (for kldunloadf).
    - Require freebsd-glue >= 0.0.10 (for ether_ntoa).
    - Remove -I. from CFLAGS to mimic upstream behaviour (prevents
      <netgraph.h> from being overriden by local version).
  * Remove __va_list kludge (no longer needed).

 -- Robert Millan <rmh@debian.org>  Thu, 01 Aug 2013 21:40:06 +0200

freebsd-utils (9.1-2) unstable; urgency=low

  * Reupload.

 -- Robert Millan <rmh@debian.org>  Mon, 22 Jul 2013 20:13:33 +0200

freebsd-utils (9.1-1) experimental; urgency=low

  * New upstream release.
  * Remove transitional dependency (freebsd-net-tools -> pf)
  * Misc improvements in PPP port. Among others, it should no longer be
    necessary to load modules manually.
  * Split mount -n option into its own patch, since it's now in upstream
    HEAD.

 -- Robert Millan <rmh@debian.org>  Tue, 16 Jul 2013 12:35:06 +0200

freebsd-utils (9.0+ds1-11) unstable; urgency=low

  * Don't use --pidfile when starting/stopping daemons that don't create one:
    - Prevents trying to start nfsd, rpc.lockd, rpc.statd more than once
      (Closes: #700245)
    - Fixes a 30-second delay as each service is stopped (Closes: #700249)
  * Stop nfsd with the correct signal USR1, since it ignores TERM

 -- Steven Chamberlain <steven@pyro.eu.org>  Wed, 27 Mar 2013 13:16:03 +0000

freebsd-utils (9.0+ds1-10) unstable; urgency=low

  * Import patch by Steven Chamberlain to make rpc.lockd start without
    `-h' arguments (Closes: #664812)
  * Add me to uploaders

 -- Christoph Egger <christoph@debian.org>  Mon, 18 Mar 2013 11:54:48 +0100

freebsd-utils (9.0+ds1-9) unstable; urgency=low

  [ Steven Chamberlain ]
  * Fix geli initscript to support more than one geli_device as intended.
    (Closes: #694374)
  * If devfs is unavailable (for example in a jail environment) the
    freebsd-utils start action would exit with non-zero status, causing postinst
    to fail.  Instead, return zero exit status but print a warning.
    (Closes: #695679)

  [ Christoph Egger ]
  * Import patch from Steven Chamberlain to fix segfault getting bridge
    status (Closes: #696514)
  * Import patch from Steven Chamberlain fixing implicit declarations
  * Upload to unstable

 -- Steven Chamberlain <steven@pyro.eu.org>  Tue, 11 Dec 2012 20:28:30 +0000

freebsd-utils (9.0+ds1-8) unstable; urgency=low

   * Team upload.
   * Fix "NFSD does not start": freebsd-nfs-server requires the nfs-stablerestart
     state file to be existing to start. This file is created in postinst if it
     does not exist yet now (Closes: #686013).

 -- Arno Töll <arno@debian.org>  Sun, 23 Sep 2012 17:20:27 +0200

freebsd-utils (9.0+ds1-7) unstable; urgency=low

  * Move /bin/sysctl to /sbin/. (Closes: #679128)

 -- Robert Millan <rmh@debian.org>  Thu, 05 Jul 2012 20:55:43 +0200

freebsd-utils (9.0+ds1-6) unstable; urgency=medium

  * Fix FTBFS (missing libutil.h).
  * Remove handling of kbdcontrol.conf, now obsoleted by
    /etc/init.d/keyboard-setup.  (Closes: #677915)

 -- Robert Millan <rmh@debian.org>  Thu, 21 Jun 2012 20:07:29 +0200

freebsd-utils (9.0+ds1-5) unstable; urgency=high

  * Fix FTBFS with latest kfreebsd-kernel-headers.
  * Add missing Depends on kldutils for devd and geom. (Closes: #674582)

 -- Robert Millan <rmh@debian.org>  Fri, 25 May 2012 18:54:45 +0200

freebsd-utils (9.0+ds1-4) unstable; urgency=low

  [ Robert Millan ]
  * Start devd after kldutils to ensure kern.module_path has been set.
  * Reduce kern.module_path to only contain versioned directories.

  [ Steven Chamberlain ]
  * Return exit status 0 from the geli initscript if not configured, but
    display a warning.  (Closes: #670412)
  * Fix duplicates of Section: utils or Priority: important in debian/control
    (lintian tag binary-control-field-duplicates-source)

 -- Robert Millan <rmh@debian.org>  Mon, 07 May 2012 23:56:13 +0200

freebsd-utils (9.0+ds1-3) unstable; urgency=low

  * Restore default CPU frequency after stopping powerd.
  * Replace mount wrap script with source patch (mount_cli_compat.diff).
  * Make powerd fail gacefully when cpufreq(4) support isn't available.
    (Closes: #650963)
  * Set Priority: standard for powerd. (See #668263)
  * Fix a few lintian warnings in init scripts.

 -- Robert Millan <rmh@debian.org>  Sat, 14 Apr 2012 15:01:02 +0200

freebsd-utils (9.0+ds1-2) unstable; urgency=low

  * Set freebsd-geom Priority to "standard" to fix override disparity.
  * Drop route wrapper and replace /sbin/route with upstream version.

 -- Robert Millan <rmh@debian.org>  Sat, 07 Apr 2012 13:20:23 +0200

freebsd-utils (9.0+ds1-1) unstable; urgency=low

  * Add /etc/pf.conf and PF examples.
  * devd.init: Start before networking to prevent NIC driver load race.
  * Add devd-udeb package.

 -- Robert Millan <rmh@debian.org>  Sat, 17 Mar 2012 23:32:41 +0100

freebsd-utils (9.0-2) unstable; urgency=low

  * Rename freebsd-geom to geom.
  * Add geli(8) symlink.
  * Add init script for GELI.
  * Remove tmp_glibc.diff, build-depend on libc0.1-dev 2.13-26 instead.
  * Remove workarounds for lack of execvP(), build-depend on
    freebsd-buildutils >= 9.0-7 instead. (Closes: #650978)
  * Build with backward-compatible feature_present().  (Closes: #659659)

 -- Robert Millan <rmh@debian.org>  Thu, 23 Feb 2012 21:01:34 +0100

freebsd-utils (9.0-1) unstable; urgency=low

  * New upstream release.

  [ Robert Millan ]
  * devd.init: Add /usr/sbin:/usr/bin to PATH (needed for
    /usr/bin/logger).
  * Split mkuzip into its own package.

 -- Robert Millan <rmh@debian.org>  Thu, 02 Feb 2012 22:38:29 +0100

freebsd-utils (8.2+ds3-2) unstable; urgency=high

  * kbdcontrol.postinst: Only attempt to transition /etc/inittab to
    xterm when this file exists.
  * Add Danish translation by Joe Dalton.  (Closes: #650853)

 -- Robert Millan <rmh@debian.org>  Wed, 07 Dec 2011 12:42:39 +0100

freebsd-utils (8.2+ds3-1) unstable; urgency=low

  * Add powerd package.
  * kldutils.init: Start before "mountall" and "freebsd-utils".
    (Closes: #588538)

 -- Robert Millan <rmh@debian.org>  Sat, 03 Dec 2011 21:28:32 +0100

freebsd-utils (8.2+ds2-12) unstable; urgency=low

  [ Robert Millan ]
  * 044_mount_exec.diff: Fix mount_smbfs execution.
  * Make Description clearer and easier to translate.  (Closes: #649356)

  [ Jonathan Nieder ]
  * pf: Breaks, Replaces freebsd-net-tools versions that provided
    /etc/pf.os, pfctl, and authpf.  (Closes: #649684)
  * pf: Remove Replaces relation against freebsd-utils.

 -- Robert Millan <rmh@debian.org>  Wed, 23 Nov 2011 07:37:43 +0100

freebsd-utils (8.2+ds2-11) unstable; urgency=low

  * Unify all __unused fixes into a single patch.
  * Split PF into its own package.
  * Restore 040_kdump_multiarch.diff to fix FTBFS on kfreebsd-i386.
    Conflict with libc0.1-dev-i386 instead to fix kfreebsd-amd64.

 -- Robert Millan <rmh@debian.org>  Wed, 16 Nov 2011 18:54:22 +0100

freebsd-utils (8.2+ds2-10) unstable; urgency=low

  * Set SGID and group kmem on netstat.  (Closes: #643840)
  * Add kbdcontrol-udeb.  (Closes: #638917)

 -- Robert Millan <rmh@debian.org>  Fri, 11 Nov 2011 22:55:06 +0100

freebsd-utils (8.2+ds2-9) unstable; urgency=low

  * Add freebsd-ppp package.  Thanks Antoine Beaupré.  (Closes: #574789)
  * Split devd and ktrace into their own packages.
  * Remove 040_kdump_multiarch.diff. It appears this patch became
    unnecessary with eglibc 2.13-12 when /usr/include/bits was restored.

 -- Robert Millan <rmh@debian.org>  Wed, 09 Nov 2011 20:56:50 +0100

freebsd-utils (8.2+ds2-8) unstable; urgency=low

  * Remove versioned dependency on sysvinit. It's useless as it turns
    out /etc/inittab is not a conffile. Fix /etc/inittab in postinst
    instead.

 -- Robert Millan <rmh@debian.org>  Fri, 04 Nov 2011 20:04:59 +0100

freebsd-utils (8.2+ds2-7) unstable; urgency=low

  * kbdcontrol:
    - Depend on TERM=xterm version of sysvinit.
    - Break all kernel versions that still expect TERM=cons25.

 -- Robert Millan <rmh@debian.org>  Thu, 03 Nov 2011 00:51:17 +0100

freebsd-utils (8.2+ds2-6) experimental; urgency=low

  * Fix route call without arguments.
  * Recover 032_delete_key.diff patch from SVN r3202.  (Closes: #605777)

 -- Robert Millan <rmh@debian.org>  Sat, 29 Oct 2011 22:19:22 +0200

freebsd-utils (8.2+ds2-5) unstable; urgency=low

  * Register rpc.statd before rpc.lockd to prevent freebsd-nfs-common
    postinst failure.
  * Rename /var/db/statd.status to FHS-compliant /var/lib/misc/statd.status.
  * Fix multiarch-caused FTBFS (introduced with eglibc 2.13-11).

 -- Robert Millan <rmh@debian.org>  Fri, 29 Jul 2011 00:51:35 +0200

freebsd-utils (8.2+ds2-4) experimental; urgency=low

  * Add freebsd-geom package, with GEOM and a few modules (including
    geli).  (Closes: #492889)

 -- Robert Millan <rmh@debian.org>  Mon, 25 Jul 2011 17:28:06 +0200

freebsd-utils (8.2+ds2-3) unstable; urgency=low

  * Replace usb.conf with version from 8-STABLE.
  * Port and install jail(8).

 -- Robert Millan <rmh@debian.org>  Thu, 21 Jul 2011 20:04:43 +0200

freebsd-utils (8.2+ds2-2) experimental; urgency=low

  * Enable NFS utilities.  (Closes: #629543)

 -- Robert Millan <rmh@debian.org>  Mon, 11 Jul 2011 11:56:32 +0200

freebsd-utils (8.2+ds2-1) unstable; urgency=low

  * Add __FreeBSD_version to CFLAGS.  This enables code in a few places
    that was previously disabled (or old version used instead).
  * 022_devd.diff: Remove leftover FreeBSD-specific ACPI devd rules.
  * Move usb.conf and pci.conf devd files into debian/local/ (upstream
    is taking a different route and will replace these files when
    they're able to autogenerate them).
  * Fix a few syntax errors in usb.conf.

 -- Robert Millan <rmh@debian.org>  Sun, 10 Jul 2011 01:48:52 +0200

freebsd-utils (8.2+ds1-2) unstable; urgency=low

  * Fix broken usb.conf.  It needs to be generated using usbdevs from
    HEAD, or otherwise empty variables act as catch-all rules.  Getting
    rid of autogeneration since upstream doesn't seem interested in using
    devd variables anyway (see PR 157903).
  * Add network attach/detach devd event handlers to support allow-
    hotplug stanzas in /etc/network/interfaces.

 -- Robert Millan <rmh@debian.org>  Wed, 29 Jun 2011 16:12:48 +0200

freebsd-utils (8.2+ds1-1) unstable; urgency=low

  [ Petr Salinger ]
  * Require newer eglibc, drop <net/if.h> workaround

  [ Robert Millan ]
  * Enable ieee80211 (wireless) in ifconfig. Closes: #601803
  * Switch to use the libbsd-overlay.
    - Bump libbsd-dev Build-Depends to (>= 0.3.0).
    - Add pkg-config to Build-Depends.
    - Remove some now obsolete porting code.
  * Removed kludges from 013_pf.diff.  strtonum.c is obsoleted
    by libbsd, pf_ruleset.c is imported from upstream source.
  * Provide config files and init.d script for devd.  (Closes: #630614)
  * Add Dutch Debconf translation from Jeroen Schot.  (Closes: #631122)
  * Require either libsbuf-dev or kfreebsd-kernel-headers that provides
    a valid <sys/sbuf.h>.
  * Add myself to Uploaders.

 -- Robert Millan <rmh@debian.org>  Wed, 29 Jun 2011 12:28:09 +0200

freebsd-utils (8.2-2) unstable; urgency=low

  * Add missing zlib1g-dev to Build-Depends, needed by savecore.
  * Remove mentions of -F option from mount and umount man pages.
    Closes: #600940
  * Add Spanish Dvorak keyboard layout to kbdcontrol.
    Thanks to Javier <jamego1293@andaluciajunta.es>. Closes: #550398

 -- Guillem Jover <guillem@debian.org>  Tue, 07 Jun 2011 20:56:10 +0200

freebsd-utils (8.2-1) unstable; urgency=low

  [ Petr Salinger ]
  * Based on FreeBSD 8.2.

  [ Mats Erik Andersson ]
  * Add IPv6 support into route wrapper. Closes: #605723.
  * Update mount wrapper for remount requests. Closes: #609574.

  [ Robert Millan ]
  * Require kfreebsd-kernel-headers >= 0.54.
  * Add mkuzip.
  * Set freebsd-net-tools-udeb to kfreebsd-any.
  * Remove dependency on ufsutils. (Closes: #595040)

  [ Tuco Xyz ]
  * Add dumpon and savecore.

  [ Guillem Jover ]
  * Translate mount -f (--fake) to -d in the wrapper.
  * Now using Standards-Version 3.9.2 (no changes needed).
  * Move local headers to debian/local/include/.
  * Move local scripts and devfs.d directories to debian/local/.
  * Switch to source format “3.0 (quilt)”.
    - Remove quilt from Build-Depends.
    - Remove patch target in debian/rules.
    - Remove now unneeded README.source.
    - Refresh all patches.
  * Link camcontrol, mdconfig and dmesg directly to libbsd. Closes: #627129
  * Refactor source and tar name into SOURCE and TARNAME in debian/rules.
  * Line-wrap PMAKE variable in debian/rules.
  * Intersperse Build-Depends description comments between the actual
    dependencies.
  * Remove skeleton comment from init scripts.

 -- Guillem Jover <guillem@debian.org>  Tue, 07 Jun 2011 08:00:15 +0200

freebsd-utils (8.1-4) unstable; urgency=low

  [ Petr Salinger ]
  * enhance kbdcontrol.init, related to Debian Policy,
    9.8 Keyboard configuration. See: #605777.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 22 Jan 2011 23:44:13 +0100

freebsd-utils (8.1-3.1) unstable; urgency=high

  * Non-maintainer upload (requested by Petr).
  * Revert 032_delete_key.diff
    The proper solution needs more changes, unsuitable during deep freeze.
    See #605065, #605777, #607662.

 -- Robert Millan <rmh@debian.org>  Wed, 05 Jan 2011 10:05:19 +0100

freebsd-utils (8.1-3) unstable; urgency=low

  [ Aurelien Jarno ]
  * Add Catalan Debconf translation from Jordi Mallach (closes:
    bug#600624).
  * Add 032_delete_key.diff to conform to Debian Policy,
    9.8 Keyboard configuration. Closes: #605777.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 19 Dec 2010 23:39:21 +0100

freebsd-utils (8.1-2) unstable; urgency=low

  [ Aurelien Jarno ]
  * freebsd-utils-udeb: add mdconfig.
  * Update Italian Debconf translation from Luca Monducci (closes:
    bug#593717).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 22 Aug 2010 17:10:02 +0200

freebsd-utils (8.1-1) unstable; urgency=low

  [ Petr Salinger ]
  * Based on FreeBSD 8.1.

  [ Aurelien Jarno ]
  * Bumped Standards-Version to 3.9.1 (no changes).
  * Add arp to freebsd-net-tools

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 30 Jul 2010 22:23:01 +0200

freebsd-utils (8.0-12) unstable; urgency=low

  [ Guillem Jover ]
  * Use kfreebsd-any instead of explicit architecture list.

  [ Aurelien Jarno ]
  * Add a freebsd-net-tools-udeb package.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 29 Jun 2010 00:58:59 +0200

freebsd-utils (8.0-11) unstable; urgency=medium

  * Don't set permissions on tty nodes, it is already done by default.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 31 May 2010 07:36:59 +0200

freebsd-utils (8.0-10) unstable; urgency=low

  * Build-depends on sharutils.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 21 Mar 2010 15:39:10 +0100

freebsd-utils (8.0-9) unstable; urgency=low

  * Add /etc/pf.os to freebsd-net-tools
  * Add a vidcontrol package containing the executable, the font maps
    and the screen maps. Closes: bug#544083.
  * Update patches/016_swapon.diff to fix segfault on kfreebsd-amd64.
    Closes: bug#574645.
  * kldutils.init, freebsd-utils-init: don't set PATH to /usr/bin and
    /usr/sbin to make lintian happy.
  * Bumped Standards-Version to 3.8.4 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 20 Mar 2010 23:29:06 +0100

freebsd-utils (8.0-8) unstable; urgency=low

  * debian/patches/026_kdump.diff: don't parse <sys/acl.h> in auto mode.
  * Build-depends on libedit-dev. Closes: bug#566774.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 25 Jan 2010 12:34:52 +0100

freebsd-utils (8.0-7) unstable; urgency=low

  * Fix clean rule.
  * Fix build with newer <sys/ptrace.h>.
  * Use <bsd/stdlib.h> instead of deprecated <bsd/random.h>.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 24 Jan 2010 14:07:33 +0100

freebsd-utils (8.0-6) unstable; urgency=low

  * mount: assume that the mount helpers are located in /sbin instead of
    looking in $PATH, which may not contain /sbin when called from
    scripts.
  * Add kdump and ppctl binaries. Closes: bug#557247.
  * Move ktrace to /usr/bin.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 24 Jan 2010 03:14:27 +0100

freebsd-utils (8.0-5) unstable; urgency=low

  * Add build-depends on libcam-dev for camcontrol.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 17 Jan 2010 22:06:41 +0100

freebsd-utils (8.0-4) unstable; urgency=low

  * Add atacontrol and camcontrol binaries.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 17 Jan 2010 18:31:25 +0100

freebsd-utils (8.0-3) unstable; urgency=low

  * Add acpiconf and devd binaries, patch by Werner Koch.
  * Add devfs binary.
  * Load /dev permissions through from /etc/devfs.d/* instead of
    setting them manually at boot time.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 17 Jan 2010 16:58:42 +0100

freebsd-utils (8.0-2) unstable; urgency=low

  * freebsd-utils.init: fix quoting, and use a symbolic links instead
    of an hardlink (closes: #560125).
  * freebsd-utils: conflicts with module-init-tools (closes: #559344).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 14 Dec 2009 20:53:21 +0100

freebsd-utils (8.0-1) unstable; urgency=low

  [ Petr Salinger ]
  * Based on FreeBSD 8.0.
  * add netstat into freebsd-net-tools

  [ Aurelien Jarno ]
  * Update Italian Debconf translation from Luca Monducci (closes:
    bug#540515).
  * Add Vietnamese Debconf translation from Clytie Siddall (closes:
    bug#547923).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 29 Nov 2009 10:19:43 +0100

freebsd-utils (7.2-9) unstable; urgency=low

  * debian/rules: adjust start priority of freebsd-utils.init and
    kldutils.init.
  * debian/freebsd-utils.init: avoid printing error messages during
    boot.
  * debian/rules: also fetch kenv in the get-orig-source.
  * Add a /bin/kenv binary in both freebsd-utils and freebsd-utils-udeb.
  * Add a debian/README.source file to make lintian happy.
  * Bumped Standards-Version to 3.8.3 (no changes).
  * Drop build-depends on libfreebsd-dev in favor of libc0.1-dev
    (>= 2.10.1). Update patches accordingly.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 24 Oct 2009 14:57:29 +0200

freebsd-utils (7.2-8) unstable; urgency=low

  * debian/kldutils.init: don't try to load built-in modules.
  * debian/*.init: adjust insserver header.
  * debian/rules: increase start priority of freebsd-utils.init and
    kldutils.init.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 21 Aug 2009 21:04:06 +0200

freebsd-utils (7.2-7) unstable; urgency=low

  * Default to us.iso.kbd instead of us.unix.kbd. Downgrade the priority
    of the debconf question back to high.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 10 Aug 2009 23:08:51 +0200

freebsd-utils (7.2-6) unstable; urgency=low

  * Update Japanese Debconf translation from Hideki Yamane (closes:
    bug#539599).
  * Add Italian Debconf translation from Luca Monducci (closes:
    bug#539599).
  * kbdcontrol: change the priority of debconf question to critical to
    make sure it appears in debian-installer. Default to us.unix.kbd.
  * kldutils: fix init script in case /etc/modules.d/ is empty.
  * Move "sysctl kern.module_path" from freebsd-utils.init to
    kldutils.init.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 02 Aug 2009 12:17:35 +0200

freebsd-utils (7.2-5) unstable; urgency=low

  * Fix a bashism in /etc/init.d/kldutils.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 28 Jul 2009 16:13:49 +0200

freebsd-utils (7.2-4) unstable; urgency=low

  * patches/002_ifconfig.diff: force POSIX compliance to make sure the
    arguments passed to ifconfig are not reordered (closes: bug#424232).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 25 Jul 2009 13:06:27 +0200

freebsd-utils (7.2-3) unstable; urgency=low

  * Add freebsd-utils-udeb and kldutils-udeb packages.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 23 Jul 2009 19:52:09 +0200

freebsd-utils (7.2-2) unstable; urgency=low

  * Remove debconf template to select modules to load. Most modules are
    either built-in or autoloaded, and a lot of person are disappointed
    by the fact their network card is not listed. Keep loading modules
    listed in /etc/modules at boot time.
  * Drop depends on kfreebsd-image in kldutils to make debootstrap
    working.
  * Bumped Standards-Version to 3.8.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 22 Jul 2009 15:50:55 +0200

freebsd-utils (7.2-1) unstable; urgency=low

  [ Petr Salinger ]
  * Based on FreeBSD 7.2.
  * add Vcs-* fields into debian/control.

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #526768
  * [Debconf translation updates]
    - Czech. Closes: #527361,#527578
    - Galician. Closes: #527915
    - Swedish. Closes: #528574
    - Portuguese. Closes: #528702
    - German. Closes: #529758
    - French. Closes: #529792
    - Spanish. Closes: #529226
    - Russian. Closes: #529639
    - Basque. Closes: #529922
    - Finnish. Closes: #530276

  [ Aurelien Jarno ]
  * freebsd-utils.init: create /sys if it doesn't exists.
  * Use SVN server instead of the deprecated CVS server in get-orig-source.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 15 Jun 2009 22:57:19 +0200

freebsd-utils (7.1-5) unstable; urgency=low

  [ Guillem Jover ]
  * Use $(filter ...) instead of $(findstring ...) to extract space separated
    options from DEB_BUILD_OPTIONS in debian/rules.

  [ Aurelien Jarno ]
  * Fix installation of kldutils initscript.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 19 Apr 2009 13:06:26 +0200

freebsd-utils (7.1-4) unstable; urgency=low

  * Rename module-init-tools to kldutils and net-tools to freebsd-net-tools,
    as this is messing up the expectations of several services of equally
    named binary coming from the same source package.

 -- Guillem Jover <guillem@debian.org>  Mon, 13 Apr 2009 17:29:58 +0200

freebsd-utils (7.1-3) unstable; urgency=low

  [ Aurelien Jarno ]
  * Upload to unstable.
  * Don't use a tar in tar build system:
    - Remove fetch.
    - Add a get-orig-source target.
    - Update patches accordingly.
  * Fix a few bashisms in debian/rules.
  * Fix parallel build support in debian/rules.
  * Bumped Standards-Version to 3.8.1 (no changes).
  * /etc/init.d/freebsd-utils: mount /dev/fd, /proc and /sys if needed.
  * Remove kfreebsd-common and kldutils packages.

  [ Guillem Jover ]
  * Rework debian/copyright with detailed license and copyright information.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 11 Apr 2009 10:08:21 +0200

freebsd-utils (7.1-2) unreleased; urgency=low

  [ Guillem Jover ]
  * Line wrap Build-Depends and Replaces fields.
  * Switch to debhelper compatibility level 7.

  [ Aurelien Jarno ]
  * debian/control: move freebsd-hackedutils to suggests as it now
    contains almost nothing.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 05 Apr 2009 13:30:51 +0200

freebsd-utils (7.1-1) unreleased; urgency=low

  [ Petr Salinger ]
  * Based on FreeBSD 7.1.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 05 Jan 2009 10:58:46 +0100

freebsd-utils (7.0-3) unreleased; urgency=low

  [ Petr Salinger ]
  * glibc is fixed, drop workarounds, require fixed glibc.
  * Preparation for disks-encrypting.

  [ Aurelien Jarno ]
  * Depends on ufsutils to make sure it is installed on GNU/kFreeBSD
    systems.
  * Build-depends on freebsd-buildutils instead of freebsd6-buildutils.
  * debian/*.templates: rewrite short descriptions to comply with
    debian-policy.
  * debian/*.templates: use po-debconf.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 06 Aug 2008 18:29:00 +0200

freebsd-utils (7.0-2) unreleased; urgency=low

  [ Petr Salinger ]
  * Link against link_addr() and link_ntoa() from libfreebsd0,
    libbsd0 since 0.0-2 does not export them anymore.
  * Extend 015_pf.diff to be buildable also against libbsd 0.0-2.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 14 Jul 2008 20:29:05 +0200

freebsd-utils (7.0-1) unreleased; urgency=low

  [ Petr Salinger ]
  * Based on FreeBSD 7.0.
  * Apply sed fixes only once.

  [ Aurelien Jarno ]
  * Bumped Standards-Version to 3.8.0 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 03 Jul 2008 14:58:14 +0200

freebsd-utils (6.3-1) unreleased; urgency=low

  [ Petr Salinger ]
  * Add build-dependency on quilt, and use quilt in debian/rules
  * Based on FreeBSD 6.3
  * Fixup in init.d scripts, suggested by Jerome Warnier
  * Adjust start level of kbdcontrol, suggested by Jerome Warnier
  * Do not use "exec -a", suggested by Thorsten Glaser

  [ Aurelien Jarno ]
  * Bumped Standards-Version to 3.7.3 (no changes).
  * Change section to utils.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 10 Jan 2008 20:50:03 +0100

freebsd-utils (6.2-3) unreleased; urgency=low

  [ Petr Salinger ]
  * Do not install pf related manpages for section 4
    they are already in freebsd-manpages.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 24 Mar 2007 20:48:28 +0100

freebsd-utils (6.2-2) unreleased; urgency=low

  [ Petr Salinger ]
  * Include pfctl and authpf in net-tools binary package.

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  5 Feb 2007 21:46:02 +0100

freebsd-utils (6.2-1) unreleased; urgency=low

  [ Aurelien Jarno ]
  * Remove /etc/init.d/kldutils and /etc/init.d/kfreebsd-common before
    removing the symlinks.
  * Add /sbin/mount_linsysfs.

  [ Petr Salinger ]
  * based on FreeBSD 6.2
  * build pfctl and authpf, but don't install them for now

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 15 Jan 2007 13:43:29 +0100

freebsd-utils (6.1-7) unreleased; urgency=low

  * Conflicts with inetutils-tools (<= 2:1.4.3+20051212-4).
  * Bump the Replaces: freebsd-hackedutils to 6.1-1 (for kfreebsd-amd64).
  * Add postinst scripts to kfreebsd-common and kldutils to remove the old
    initscripts.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 19 Dec 2006 15:52:12 +0100

freebsd-utils (6.1-6) unreleased; urgency=low

  * Merge stuff from kfreebsd-common concerning modules into
    module-init-tools.
  * Merge init script from kfreebsd-common into freebsd-utils.
  * Create a transitional kfreebsd-common package.
  * Remove the dependency from freebsd-utils to net-tools. This
    is already handled by netbase through ifupdown.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 12 Dec 2006 23:32:50 +0100

freebsd-utils (6.1-5) unreleased; urgency=low

  [ Petr Salinger ]
  * Enable ifconfig, require fixed glibc.

 -- Aurelien Jarno <aurel32@debian.org>  Thu,  7 Dec 2006 22:49:45 +0100

freebsd-utils (6.1-4) unreleased; urgency=low

  [ Petr Salinger ]
  * Another attempt at net-tools
    - route needs fixed argument for getopt
    - ifconfig needs fixed glibc
  * Enable kldconfig

  [ Aurelien Jarno ]
  * Build, but don't install ifconfig until the glibc is fixed.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 14 Nov 2006 16:30:29 +0100

freebsd-utils (6.1-3) unreleased; urgency=low

  * Finally disable net-tools again, ifconfig and route build, seem
    to work, but they don't...
  * Bump the dependency on freebsd-hackedutils to (>= 5.2.1-31).
  * Remove the dependency on net-tools.

 -- Aurelien Jarno <aurel32@debian.org>  Thu,  9 Nov 2006 14:17:31 +0100

freebsd-utils (6.1-2) unreleased; urgency=low

  * Change priority of kldutils and module-init-tools to important.
  * module-init-tools: don't conflict (only replace), so that apt
    is able to resolve the dependency loop.
  * Add manpages.
  * Enable net-tools.

 -- Aurelien Jarno <aurel32@debian.org>  Tue,  7 Nov 2006 19:01:10 +0100

freebsd-utils (6.1-1) unreleased; urgency=low

  [ Petr Salinger ]
  * based on FreeBSD 6.1
  * again disable net-tools package (not yet ready to release)
  * let wrapper around mount ignore "-O no_netdev",
    used in recent /etc/init.d/mountall.sh

  [ Aurelien Jarno ]
  * Bumped Standards-Version to 3.7.2 (no changes).
  * Add start/stop options to /etc/init.d/module-init-tools
  * Add LSB section to /etc/init.d/module-init-tools
  * Add start/stop options to /etc/init.d/kbdcontrol
  * Add LSB section to /etc/init.d/kbdcontrol
  * Use debhelper code to call /etc/init.d/kbdcontrol
  * Drop/adjust dependencies on non-official version of the glibc.

 -- Aurelien Jarno <aurel32@debian.org>  Sat,  4 Nov 2006 16:24:54 +0100

freebsd-utils (6.0-2.really.5.4-0.7) UNRELEASED; urgency=low

  [ Petr Salinger ]
  * Use versioned Conflicts, it allows to install both module-init-tools
    and dummy kldutils.

  [ Robert Millan ]
  * Enable net-tools package (thanks Andraz for the patches).
  * Enable a few mount_* backends (thanks again to Andraz).
  * control (freebsd-utils): Depend on net-tools rather than on freebsd-
    hackedutils.  Some dependency still has to be present untill
    everyone has migrated (let's give them enough time).

 -- Robert Millan <rmh@aybabtu.com>  Thu,  4 May 2006 21:47:44 +0200

freebsd-utils (6.0-2.really.5.4-0.6) unreleased; urgency=low

  * Add dummy kldutils package to facilitate upgrade (since, in some
    installs, kldutils is _still_ an Essential package).

 -- Robert Millan <rmh@aybabtu.com>  Fri, 28 Apr 2006 15:43:39 +0200

freebsd-utils (6.0-2.really.5.4-0.5) unreleased; urgency=low

  * scripts/bin/sysctl: s,sysctl.real,/lib/freebsd/sysctl,g
  * Rename kldutils to module-init-tools, and provide alias commands
    (symlinks) for insmod, rmmod, modprobe and lsmod.

 -- Robert Millan <rmh@aybabtu.com>  Wed, 26 Apr 2006 18:41:12 +0200

freebsd-utils (6.0-2.really.5.4-0.4) unreleased; urgency=low

  * debian/kbdcontrol.install: Fix install path.

 -- Robert Millan <rmh@aybabtu.com>  Sun,  2 Apr 2006 10:42:57 +0200

freebsd-utils (6.0-2.really.5.4-0.3) unreleased; urgency=low

  * Embed kbdcontrol choices string in templates file rather than
    obtaining it dynamicaly in config script.
  * s/kldutils/kbdcontrol/g fix in kbdcontrol.templates.in.

 -- Robert Millan <rmh@aybabtu.com>  Sat,  1 Apr 2006 14:53:27 +0200

freebsd-utils (6.0-2.really.5.4-0.2) unreleased; urgency=low

  * Automatic, (sort of) user-friendly setup for kbdcontrol.

 -- Robert Millan <rmh@aybabtu.com>  Thu, 30 Mar 2006 17:58:12 +0200

freebsd-utils (6.0-2.really.5.4-0.1) unreleased; urgency=low

  * Bump version to this ugly mess in order to provide an upgrade path on
    kfreebsd-amd64.  Hopefuly we'll get back to normal versioning when 5.x is
    no longer supported.
  * Use freebsd/stdlib.h instead of bsd/stdlib.h, because we need devname
    declaration.
  * Increase swapctl blocksize to 1024 * 1024 (1 MiB).
  * For dmesg, swapon and swapoff, implement the dummy compat options in the
    actual executable, and get rid of the wrapper scripts.  In swapon, accept -e
    as well.

 -- Robert Millan <rmh@aybabtu.com>  Thu, 30 Mar 2006 16:25:48 +0200

freebsd-utils (5.4+2-0.1) unreleased; urgency=low

  * Add netstat, ktrace/kdump, kbdcontrol, jail, ppp*, fdisk, mdconfig,
    ccdconfig, bsdlabel, ipfw and pfctl (out of which only mdconfig and
    kbdcontrol are enabled).
  * Fix swapctl (by using libfreebsd functions).
  * control (freebsd-utils): Remove dependency on kldutils and ufsutils.
  * Fix absolute path assumption in kldutils.init.d.

 -- Robert Millan <rmh@aybabtu.com>  Wed, 29 Mar 2006 15:20:44 +0200

freebsd-utils (5.4+1-0.1) unreleased; urgency=low

  * Add kldutils and (disabled) net-tools.
  * Stop linking with libedit-dev (vis/unvis functions are in libbsd now).
  * Add ${shlibs:Depends} tag to freebsd-utils.
  * Remove syscall() hacks (will use proper glibc now).
  * Add all mount_* variants to the package (not all of them are enabled,
    though, because of FTBFS).
  * Bump mount itself (not relatives) to 6.x (needed by mount_reiserfs).

 -- Robert Millan <rmh@aybabtu.com>  Sun, 19 Mar 2006 21:12:22 +0100

freebsd-utils (5.4-0.1) unreleased; urgency=low

  * Initial release.

 -- Robert Millan <rmh@aybabtu.com>  Sat, 18 Mar 2006 12:08:57 +0100
